#include <qapplication.h>
#include <qtextcodec.h>
#include "mainwindow.h"

QTranslator qt ( 0 );
 
int main( int argc, char ** argv )
{

    /* Creates a new application and loads the proper language file */
    QApplication app( argc, argv );
    qt.load (QString ("/usr/share/doc/daisyplayer/translations/daisyplayer_") + QTextCodec::locale(), ".");
    app.installTranslator (&qt);
    
    /* Creates a mainwindow */
    MainWindow mw;
    mw.show();
    app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
    return app.exec();
}
