TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on release

LIBS	+= -ldaisy

HEADERS	+= src/chapterlistviewitem.h

SOURCES	+= src/main.cpp \
	src/chapterlistviewitem.cpp

FORMS	= src/mainwindow.ui \
	src/aboutdialog.ui

IMAGES	= images/player_play.png \
	images/player_start.png \
	images/player_end.png \
	images/player_fwd.png \
	images/player_rew.png \
	images/player_stop.png \
	images/player_pause.png \
	images/folder_open.png \
	images/daisylogo.png \
	images/exit.png \
	images/uk.gif \
	images/norway.gif

TRANSLATIONS += translations/daisyplayer_no_nb.ts \
		translations/daisyplayer_en.ts

target.path = /usr/bin/
translations.path = /usr/share/doc/daisyplayer/translations
translations.files = translations/*.qm

INSTALLS += target \
	 translations

unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}

# This should supress warnings when compiling on gcc > 4.0.
# Not sure if it's a the best solution.
# The issue is discussed here: http://lists.trolltech.com/qt-interest/2005-10/msg00200.html
QMAKE_CXXFLAGS_WARN_ON += -Wno-non-virtual-dtor
