#include <iostream>
#include <qstring.h>
#include <qlistview.h>
#include "chapterlistviewitem.h"

ChapterListViewItem::ChapterListViewItem (
		QListView* parent,
		QString chapterNumber,
		QString chapterTitle )
	: QListViewItem (
		parent,
		chapterNumber,
		chapterTitle )
{
}

ChapterListViewItem::ChapterListViewItem (
		QListViewItem* listItem)
	: QListViewItem (
			listItem)
{	
}

// We'll be overloading the compare method to sort by numbers rather than QString.
int ChapterListViewItem::compare( ChapterListViewItem *i, int col, bool ascending ) const
{
  std::cout << "Comparing! (" << i->key (col, ascending) << ") . (" << key (col, ascending) << ").\n";
//  return key( col, ascending ).compare( i->key( col, ascending) );
  return 1;
}
