#include <qstring.h>
#include <qlistview.h>

class ChapterListViewItem : public QListViewItem
{
public:
	ChapterListViewItem (
			QListView* parent,
			QString chapterNumber,
			QString chapterTitle );

	ChapterListViewItem (
			QListViewItem* listItem);
  // We'll be overloading the compare method to sort by numbers rather than QString.
int compare (
		ChapterListViewItem *i,
		int col,
		bool ascending ) const;
private:
	QString chapterNumber;
	QString chapterTitle;
};
